Subject: Re: bug#6689: 24.0.50; No primary selection

From: Chong Yidong <[email-masked]>
Date: Thu, 22 Jul 2010 18:16:32 -0400

"Drew Adams" <[email-masked]> writes:

> Whatever the reason, the pesky fact remains that there was no problem
> prior to the recent changes that broke this.

The problem was that the way Emacs interacted with X selections was
non-standard.  The issue is subtle; you can read about it on the
emacs-devel archives.  Clearly, these changes need further adjustments.
But it's a non-starter to demand that everything be backed out in order
to avoid temporarily inconveniencing the users of the DEVELOPMENT
sources.